
QGIS Application - Bug report #436

QGIS should not use SRS not supported by WMS server

2006-12-07 10:03 AM - maris-kde-gmail-com -

Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10495

Description

Pre-1.3 WMS servers may not have defined EPSG:4326 as supported SRS. Requesting not announced SRS will result in failure.[[br]]

QGIS should request data using one of server's announced SRS and not to try EPSG:4326 by default.

Request contains a SRS not offered by the server for one or more of the Layers in the request.

The WMS vendor also reported: 

msWMSLoadGetMapParams(): WMS server error. Invalid SRS given : SRS must be valid for all requested layers.

This is probably due to a bug in the QGIS program.  Please report this error.

Tried URL:

http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&SERVICE=WMS&VERSION=1.1.0&REQUEST=GetMap&BBOX=-103.877000,44.373000,-103.622000,44.502300&SRS=EPSG:4326&WIDTH=553&HEIGHT=280&LAYERS=roads&STYLES=&FORMAT=image/gif&TRANSPARENT=TRUE


ST=GetMap&BBOX=-103.877000,44.373000,-103.622000,44.502300&SRS=EPSG:4326&WIDTH=553&HEIGHT=280&LAYERS=roads&STYLES=&FORMAT=image/gif&TRANSPARENT=TRUE


S=roads&STYLES=&FORMAT=image/gif&TRANSPARENT=TRUE

<?xml version='1.0' encoding="UTF-8" standalone="no" ?>

<!DOCTYPE WMT_MS_Capabilities SYSTEM "http://schemas.opengis.net/wms/1.1.0/capabilities_1_1_0.dtd" 

 [

 <!ELEMENT [[VendorSpecificCapabilities]] EMPTY>

 ]>  <!-- end of DOCTYPE declaration -->

<WMT_MS_Capabilities version="1.1.0">

<!-- [[MapServer]] version 4.10.0 OUTPUT=GIF OUTPUT=PNG OUTPUT=JPEG OUTPUT=WBMP OUTPUT=SVG

SUPPORTS=PROJ SUPPORTS=FREETYPE SUPPORTS=WMS_SERVER SUPPORTS=WMS_CLIENT

SUPPORTS=WFS_SERVER SUPPORTS=WFS_CLIENT SUPPORTS=WCS_SERVER SUPPORTS=THREADS

SUPPORTS=GEOS INPUT=EPPL7 INPUT=POSTGIS INPUT=OGR INPUT=GDAL INPUT=SHAPEFILE DEBUG=MSDEBUG

-->

<Service>

  <Name>OGC:WMS</Name>

  <Title>Trollopensus bibulosa karte</Title>

  <OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/>

</Service>

<Capability>

  <Request>

    <GetCapabilities>

      <Format>application/vnd.ogc.wms_xml</Format>
      <DCPType>

        <HTTP>

          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Get>

          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Post>

        </HTTP>

      </DCPType>

    </GetCapabilities>

    <GetMap>

      <Format>image/gif</Format>

      <Format>image/png</Format>

      <Format>image/png; mode=24bit</Format>

      <Format>image/jpeg</Format>

      <Format>image/wbmp</Format>

      <Format>image/tiff</Format>

      <DCPType>

        <HTTP>

          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Get>

          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Post>

        </HTTP>

      </DCPType>

    </GetMap>

    <GetFeatureInfo>

      <Format>text/plain</Format>

      <Format>application/vnd.ogc.gml</Format>

      <DCPType>

        <HTTP>

          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Get>

          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Post>

        </HTTP>

      </DCPType>

    </GetFeatureInfo>

    <DescribeLayer>

      <Format>text/xml</Format>

      <DCPType>

        <HTTP>

          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Get>

          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Post>

        </HTTP>

      </DCPType>

    </DescribeLayer>

    <GetLegendGraphic>

      <Format>image/gif</Format>

      <Format>image/png</Format>

      <Format>image/png; mode=24bit</Format>

      <Format>image/jpeg</Format>
      <Format>image/wbmp</Format>

      <DCPType>

        <HTTP>

          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Get>

          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Post>

        </HTTP>

      </DCPType>

    </GetLegendGraphic>

    <GetStyles>

      <Format>text/xml</Format>

      <DCPType>

        <HTTP>

          <Get><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Get>

          <Post><OnlineResource xmlns:xlink="http://www.w3.org/1999/xlink"

xlink:href="http://192.168.0.7/cgi-bin/mapserv?map=/home/knoppix/geodata/trollopensus.map&amp;"/></Post>

        </HTTP>

      </DCPType>

    </GetStyles>

  </Request>

  <Exception>

    <Format>application/vnd.ogc.se_xml</Format>

    <Format>application/vnd.ogc.se_inimage</Format>

    <Format>application/vnd.ogc.se_blank</Format>

  </Exception>

  <VendorSpecificCapabilities />

  <UserDefinedSymbolization [[SupportSLD]]="1" [[UserLayer]]="0" [[UserStyle]]="1" [[RemoteWFS]]="0"/>

  <Layer>

    <Name>trollopensus</Name>

    <Title>Trollopensus bibulosa karte</Title>

    <SRS>EPSG:26713</SRS>

    <LatLonBoundingBox minx="-103.877" miny="44.373" maxx="-103.622" maxy="44.5023" />

    <BoundingBox SRS="EPSG:26713" 

                minx="589435" miny="4.91401e+06" maxx="609527" maxy="4.92806e+06" />

    <Layer queryable="0" opaque="0" cascaded="0">

        <Name>streams</Name>

        <Title>Upes</Title>

        <SRS>EPSG:26713</SRS>

        <LatLonBoundingBox minx="-103.877" miny="44.3724" maxx="-103.622" maxy="44.5023" />

        <BoundingBox SRS="EPSG:26713" 

                    minx="589443" miny="4.91394e+06" maxx="609527" maxy="4.92806e+06" />

    </Layer>

<!-- WARNING: This layer has its status set to DEFAULT and will always be displayed when doing a [[GetMap]] request even if it

is not requested by the client. This is not in line with the expected behavior of a WMS server. Using status ON or OFF is

recommended. -->

    <Layer queryable="0" opaque="0" cascaded="0">

        <Name>roads</Name>

        <Title>Autoceļi</Title>

        <SRS>EPSG:26713</SRS>

        <LatLonBoundingBox minx="-103.877" miny="44.373" maxx="-103.622" maxy="44.5023" />

        <BoundingBox SRS="EPSG:26713" 
                    minx="589435" miny="4.91401e+06" maxx="609527" maxy="4.92806e+06" />

    </Layer>

  </Layer>

</Capability>

</WMT_MS_Capabilities>

History

#1 - 2006-12-08 04:54 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:8b77487c (SVN r6210). When default SRS is not supported, one of available reference systems will be chosen.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
